Installing CS4 and file system is not supported

New Here ,
Aug 28, 2017

Copy link to clipboard

Copied

Hi, I am trying to instal ps (CS4) on my new MacBook Pro and I keep getting a system requirements error saying this software cannot be installed bc the file system of the setup volume is not supported. What does this mean? And how do I fix this?

Adobe Community Professional
Correct answer by kglad | Adobe Community Professional

it means you have a case-sensitive hd or incompatible os (or both).  Adobe error "Case-sensitive drives not supported" or similar install error | Mac OS

Views

798

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Installing CS4 and file system is not supported

New Here ,
Aug 28, 2017

Copy link to clipboard

Copied

Hi, I am trying to instal ps (CS4) on my new MacBook Pro and I keep getting a system requirements error saying this software cannot be installed bc the file system of the setup volume is not supported. What does this mean? And how do I fix this?

Adobe Community Professional
Correct answer by kglad | Adobe Community Professional

it means you have a case-sensitive hd or incompatible os (or both).  Adobe error "Case-sensitive drives not supported" or similar install error | Mac OS

Views

799

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 28, 2017 0
Adobe Community Professional ,
Aug 28, 2017

Copy link to clipboard

Copied

it means you have a case-sensitive hd or incompatible os (or both).  Adobe error "Case-sensitive drives not supported" or similar install error | Mac OS

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 28, 2017 2
Most Valuable Participant ,
Aug 28, 2017

Copy link to clipboard

Copied

You also may never be able to install CS4 on a Mac running Sierra

CS6 and earlier programs have not been tested and will not be updated for Mac El Capitan/Sierra

-which means that you try to use CS6 and earlier at YOUR risk of having problems due to Apple updates

-Apple did not maintain backward compatibility with old programs in El Capitan or Sierra

--Adobe has a workaround to Apple's problem of not maintaining backward compatibility

--READ HERE https://forums.adobe.com/thread/2301916 for an Adobe solution to installing old programs

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 28, 2017 2
Adobe Community Professional ,
Aug 28, 2017

Copy link to clipboard

Copied

It could also be a change in Sierra's settings blocking the CS4 installer and generating a misleading error message. You may need to re-enable the Anywhere option in Sierra's Security & Privacy settings.

See Adobe Photoshop CS4 Error on New macOS (Sierra)

Also Installing Creative Suite on macOS 10.12 (Sierra)  has helped many people.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 28, 2017 1
New Here ,
Oct 27, 2020

Copy link to clipboard

Copied

Good afternoon 

I am trying to install CS4 on a MacbookPro (2018) macos High Sierra but it is telling me the software cannot be installed because the file system of the setup volume is not supported - please can you help. i am not very technical !!

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 27, 2020 0
Most Valuable Participant ,
Oct 27, 2020

Copy link to clipboard

Copied

If you are not very technical, this may be beyond your skills to fix safely - the risk of losing everything would be very high. CS4 all the way to the current CC2021 will not install on a case sensitive filesystem.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Oct 27, 2020 1